changeset 6245:2506caa34870

7194032: update tests for upcoming changes for jtreg Reviewed-by: alanb, iris, smarks
author jjg
date Tue, 28 Aug 2012 10:29:30 +0100
parents dd05955627f9
children 46126bc51bb8
files test/java/rmi/activation/Activatable/extLoadedImpl/ext.sh test/java/rmi/registry/readTest/readTest.sh
diffstat 2 files changed, 17 insertions(+), 3 deletions(-) [+]
line wrap: on
line diff
--- a/test/java/rmi/activation/Activatable/extLoadedImpl/ext.sh	Wed Sep 05 14:42:44 2012 +0200
+++ b/test/java/rmi/activation/Activatable/extLoadedImpl/ext.sh	Tue Aug 28 10:29:30 2012 +0100
@@ -1,5 +1,5 @@
 #
-# Copyright (c) 2002, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2002, 2012, Oracle and/or its affiliates. All rights reserved.
 # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 #
 # This code is free software; you can redistribute it and/or modify it
@@ -31,8 +31,22 @@
 #     ExtLoadedImplTest ExtLoadedImpl ExtLoadedImpl_Stub CheckLoader
 # @run shell ext.sh
 
+OS=`uname -s`
+case "$OS" in
+  SunOS | Linux | Darwin )
+    PS=":"
+    ;;
+  Windows* | CYGWIN* )
+    PS=";"
+    ;;
+  * )
+    echo "Unrecognized system!"
+    exit 1;
+    ;;
+esac
+
 mkdir -p classes
-cp $TESTCLASSES/*.class classes
+for dir in `echo ${TESTCLASSPATH:-$TESTCLASSES} | sed -e "s/$PS/ /"` ; do cp $dir/*.class classes ; done
 rm classes/ExtLoadedImpl.class classes/ExtLoadedImpl_Stub.class classes/CheckLoader.class
 mkdir -p ext
 $TESTJAVA/bin/jar cf ext/ext.jar -C $TESTCLASSES ExtLoadedImpl.class -C $TESTCLASSES ExtLoadedImpl_Stub.class -C $TESTCLASSES CheckLoader.class
--- a/test/java/rmi/registry/readTest/readTest.sh	Wed Sep 05 14:42:44 2012 +0200
+++ b/test/java/rmi/registry/readTest/readTest.sh	Tue Aug 28 10:29:30 2012 +0100
@@ -51,7 +51,7 @@
     ;;
 esac
 
-TEST_CLASSPATH=.$PS$TESTCLASSES
+TEST_CLASSPATH=.$PS${TESTCLASSPATH:-$TESTCLASSES}
 cp -r ${TESTSRC}${FS}* .
 ${TESTJAVA}${FS}bin${FS}javac testPkg${FS}*java
 ${TESTJAVA}${FS}bin${FS}javac -cp $TEST_CLASSPATH readTest.java